#ifndef __MAJA_H__
#define __MAJA_H__

/* interfejs modułu grającego */

	int gramy_dalej();
	/* inicjalizuje kolejna gre, 
		zwraca:
			ograniczenie gorne na zgadywane liczby
			albo 0, jesli juz nie gramy dalej 
	*/

	int	czy_podzielna_przez(int m);
	/* zapytanie, czy wymyslona przez Maję liczba jest podzielna przez m 
	  wejście: m > 0 
		zwraca 1 jeśli się dzieli, 0, jeśli się nie dzieli
	*/
	
	void zgaduj(int k);
	/* próba zgadnięcia liczby; 
		wolno probowac tylko raz 
	*/

#endif
